/*****************************************************************************/
/*                                                                           */
/*   VECTREX HP3000 Software Emulator              Copyright K.Wilkins 1996  */
/*                                                                           */
/*****************************************************************************/
/*                                                                           */
/*   Title      : Vectrex debug monitor function header file                 */
/*                                                                           */
/*   File Name  : MONITOR.H                                                  */
/*                                                                           */
/*   Author     : Keith Wilkins                                              */
/*                                                                           */
/*   Version    : 1.00                                                       */
/*                                                                           */
/*   Desciption : This file contains header file information for the         */
/*                vectrex debugging functions.                               */
/*                                                                           */
/*****************************************************************************/
/*                                                                           */
/*   Revision History:                                                       */
/*                                                                           */
/*   Version    Date    Who  Description of changes                          */
/*   -------    ----    ---  ----------------------                          */
/*                                                                           */
/*    0.01    15/04/94  K.W  Creation from debug.h after file split          */
/*    1.00    05/08/96  K.W  Public release of DVE V1.0                      */
/*                                                                           */
/*****************************************************************************/

#if !defined MONITOR_H
    #define MONITOR_H


#define MAX_COMMAND_LINE_ARGS   8
#define MAX_COMMAND_LINE_LENGTH 100


/* Define the command-line definition array */

typedef struct tsCOMMAND
{
    UBYTE (*pfCommandFunc)(SWORD,UBYTE**);
    UBYTE *pcCommandName;
    UBYTE *pcCommandHelp;
}tsCOMMAND;


/* Define function prototyoes */

void    fDebugMonitor(void);

#endif


/* End of MONITOR.H */



