/*****************************************************************************/
/*                                                                           */
/*   VECTREX HP3000 Software Emulator              Copyright K.Wilkins 1996  */
/*                                                                           */
/*****************************************************************************/
/*                                                                           */
/*   Title      : Vectrex Emulator colour palette definition file            */
/*                                                                           */
/*   File Name  : PALETTE.H                                                  */
/*                                                                           */
/*   Author     : Keith Wilkins                                              */
/*                                                                           */
/*   Version    : 1.01                                                       */
/*                                                                           */
/*   Desciption : This file contains the array that defines the various ink  */
/*                colours used within the emulator                           */
/*                                                                           */
/*****************************************************************************/
/*                                                                           */
/*   Revision History:                                                       */
/*                                                                           */
/*   Version    Date    Who  Description of changes                          */
/*   -------    ----    ---  ----------------------                          */
/*                                                                           */
/*    0.01    07/05/96  K.W  Creation                                        */
/*    1.00    05/08/96  K.W  Public release of DVE V1.0                      */
/*    1.01    01/10/96  C.S. Changed format to be compliant to SVGALIB V6.0  */
/*                           from SKYTECH                                    */
/*                                                                           */
/*****************************************************************************/

#ifndef PALETTE_H
 #define PALETTE_H

/* now BLUE, GREEN, RED, APLHA */
#define PBLUE 0
#define PGREEN 1
#define PRED 2
extern UBYTE palette[256][4];
extern UBYTE palette_reset[256][4];

#endif



/* End of PALETTE.H */
