/*****************************************************************************/
/*                                                                           */
/*   VECTREX HP3000 Software Emulator              Copyright K.Wilkins 1996  */
/*                                                                           */
/*****************************************************************************/
/*                                                                           */
/*   Title      : Vectrex emulator utility functions header file             */
/*                                                                           */
/*   File Name  : UTIL.H                                                     */
/*                                                                           */
/*   Author     : Keith Wilkins                                              */
/*                                                                           */
/*   Version    : 1.00                                                       */
/*                                                                           */
/*   Desciption : This is the header file for the utility functions and      */
/*                conatins function prototypes and definitions for the utils */
/*                                                                           */
/*****************************************************************************/
/*                                                                           */
/*   Revision History:                                                       */
/*                                                                           */
/*   Version    Date    Who  Description of changes                          */
/*   -------    ----    ---  ----------------------                          */
/*                                                                           */
/*    0.01    21/03/93  K.W  Creation                                        */
/*    1.00    05/08/96  K.W  Public release of DVE V1.0                      */
/*                                                                           */
/*****************************************************************************/

#if !defined UTIL_H
    #define UTIL_H



/* Function prototypes */

UBYTE     fIsWhiteSpace(UBYTE tData);
BOOL      fStringToWord(UBYTE *pcString,UWORD *pwResult);
BOOL      fStringToLongWord(UBYTE *pcString,ULONG *plwResult);
BOOL      fHexStringToByte(UBYTE *pcString,UBYTE *pbResult);
SWORD     fCharToInt(UBYTE cWork);

void far* fDOSmalloc(REALPTR * rp,ULONG bytes_to_allocate);
void fDOSfree(REALPTR * rp);

#endif

/* End of UTIL.H */


